/**
 * Theme Name: RWood Construction
 * Template:   twentytwentyfour
 * Description: Custom Theme for RWood Constructions
 * Version: 1.0.27  
 * Author: Cristopher Becerra
 * Author URI: https://www.cristopherbecerra.com
 * Text Domain: rwood
 * Tested up to: 6.8.1
 * Requires at least: 6.8
 * Requires PHP:      8.3
 * License:           MIT
 * License URI:       https://opensource.org/license/mit
 */

:root {
   --main-yellow-color: #e8a82b;
   --main-blue-color: #241d2a;
}

@font-face {
   font-family: arboria-medium;
   src: url(assets/fonts/Arboria-Medium.ttf);
}

@font-face {
   font-family: acumin;
   src: url(assets/fonts/AcuminVariableConcept.otf);
}

@font-face {
   font-family: bison;
   src: url('assets/fonts/Bison-Bold(PersonalUse).ttf');
}

@font-face {
   font-family: myriadPro;
   src: url(assets/fonts/MyriadPro-Regular.otf);
}

* {
   box-sizing: border-box;
}

html,
body {
   width: 100%;
   /*overflow-x: hidden;*/
}

header {
   position: sticky;
   top: 0;
   z-index: 999;
}

.header-rwood {
   display: flex;
   position: relative;
   top: 0;
   background-color: #ffffff;
   flex-direction: row;
   flex-wrap: wrap;
   padding: 12px;
}

.header-rwood .menu-option{
   width: 100%;
   justify-content: center;
}

.header-rwood .menu-option a {
   text-transform: uppercase;
   font-weight: bold;
   text-decoration: none;
   margin-bottom: 20px;
   font-size: 1.25em;
   border-bottom: solid 5px #fff;
}

.header-rwood .menu-option a.active {
   border-bottom: solid 5px var(--main-yellow-color);
}

.header-logo {
   height: 15vh;
   width: auto;
}

.menu-button {
   width: 40px;
   margin-right: 20px;
   object-fit: contain;
   cursor: pointer;
}

.mobile-menu {
   width: 100vw;
   height: 0px;
   overflow: hidden;
}

.mobile-menu.display {
   height: inherit;
   border-bottom: solid 5px var(--main-blue-color);
}

#mobile-menu-close {
   display: none;
}

.mobile-menu>a {
   width: 60%;
   display: block;
   margin: auto;
   text-decoration: none;
   font-size: 1.5rem;
}

.footer-rwood {
   display: flex;
   background-color: var(--main-yellow-color);
   flex-direction: row;
   justify-content: center;
   align-items: stretch;
   flex-wrap: wrap;
}

.footer-rwood>div {
   width: 100%;
}

.footer-rwood>div:nth-child(1) {
   order: 2;
}

.footer-rwood>div:nth-child(2) {
   order: 1;
}

.footer-rwood img {
   width: 25%;
}

.footer-menu-container {
   border-left: solid 2px var(--main-blue-color)
}

.footer-menu-container a {
   display: block;
   text-decoration: none;
   text-transform: uppercase;
   font-size: 1.2rem;
   width: auto;
}

a.social-icon {
   display: inline-block;
   width: 50px;
   height: 50px;
}

a.social-icon img {
   width: 100%;
   height: 100%;
}

.header-rwood .menu-option a.call-to-action-button{
   display: flex;
   justify-content: center;
   align-items: center;
   width: 100%;
   border-radius: 20px;
   border:solid 2px white !important;
   padding-top: 5px;
   transition: all .5s ease-out;
}

.header-rwood .menu-option a.call-to-action-button.active{
   background-color: var(--main-yellow-color);
   color:var(--main-blue-color);
   /*border:solid 2px var(--main-blue-color) !important;*/
}

/*Helpers*/
.padding-left-4 {
   padding-left: 40px;
}

.padding-top-4 {
   padding-top: 80px;
}

.padding-top-2 {
   padding-top: 40px;
}

.padding-x-4 {
   padding-left: 40px;
   padding-right: 40px;
}

.font-family-arboria {
   font-family: "arboria-medium", Sans-serif;
   ;
}

.font-family-acumin {
   font-family: "acumin", Sans-serif;
   ;
}

.font-family-bison {
   font-family: "bison", Sans-serif;
   ;
}

.font-family-myriadPro {
   font-family: "myriadPro", Sans-serif;
   ;
}

.d-flex {
   display: flex;
}

.justify-content-end {
   justify-content: end;
}

.align-items-center {
   align-items: center;
}

.align-items-end {
   align-items: end;
}

.flex-grow {
   flex-grow: 1;
}

.width-100 {
   width: 100%;
}

.d-on-desktop {
   display: none;
}

.img-stretch img {height:100%;}
.child-width-auto > * {width: auto !important;}
.portfolio-info-container {position:absolute;transform:translatey(100%);transition:transform 1s}
.portfolio-container{position:relative;}
.portfolio-container:hover .portfolio-info-container{transform:translatey(0%);}

.contact-form {width:100%;}
.contact-form label {font-weight:bold;font-size:1.2rem}
.contact-form input:not([type="submit"]){width:100%;font-size:1.35rem;padding:2% 4%;border:none}
.contact-form Textarea{width:100%;font-size:1.35rem;padding:2% 4%;min-height:4em;resize: none;field-sizing: content;border:none}
.contact-form input[type="submit"]{background-color:transparent;border:solid 3px var(--main-yellow-color);font-family: "Arboria Medium", Sans-serif;text-transform:uppercase;font-size:1.25rem;padding:2% 6%;}

.vertical-text{writing-mode: sideways-lr;text-orientation: sideways;}

.elementor-image-carousel-wrapper figcaption{background-color: var(--main-blue-color);color: white !important;padding: 5%;margin-top:-10px;}

.wp-block-heading{font-family: "Arboria Medium", Sans-serif;font-size: 1.5rem;letter-spacing: 3.3px;color: var(--e-global-color-e60b258);font-size:2.5rem;text-transform:uppercase}

.portfolio-big-container{padding:0 5%; margin:3%;}
.portfolio-big-container .wp-block-post-title{font-size:1.5rem;border-bottom: solid 3px var(--main-yellow-color);}
.portfolio-big-container .wp-block-post-title a{text-decoration:none;}
.portfolio-big-container .wp-block-post{background-color:#f1f1f1;padding:2%}

.wp-block-post-title{border-bottom: solid 3px var(--main-yellow-color);width: 70%;margin: auto;font-family: "Arboria Medium", Sans-serif;line-height: -1px;letter-spacing: 6px;margin-top:40px;text-align:center;}

.rwood-post-content  .elementor > .elementor-element{
   --padding-left: 5px;
   --padding-right: 5px;
}

@media screen and (min-width: 1024px) and (orientation: landscape) {
   .header-rwood {
      justify-content: space-evenly;
      flex-wrap: nowrap;
   }

   .footer-rwood>div {
      width: 50%;
   }

   .footer-rwood>div:nth-child(1) {
      order: 1;
   }

   .footer-rwood>div:nth-child(2) {
      order: 2;
   }

   /*Helpers*/
   .d-on-mobile {
      display: none;
   }

   .d-on-desktop {
      display: inherit;
      ;
   }

   .padding-left-4 {
      padding-left: 80px;
   }
   .padding-x-4 {
      padding-left: 80px;
      padding-right: 80px;
   }

   .rwood-post-content .elementor > .elementor-element{
      --padding-left: 25px;
      --padding-right: 25px;
   }
}